Subject: Re: python 2.0, cygwin & readline - undefined symbols
From: "Gerrit P. Haase" <[email-masked]>
To: Norman Vine <[email-masked]>, [email-masked]
Date: Tue, 13 Mar 2001 09:42:25 +0100

<Am 2001-03-13 0:43 wars, als Jason Tishler schrieb:>
< Re: python 2.0, cygwin & readline - >

Jason,

> > Yep, that is the point, i did: 'chmod 777 libpython2.1.dll' and now, 
> > python works for me:-)
> 
> I just built Python CVS with and without ntsec enabled.  There is no
> difference -- both builds succeed without any failures.  

I agree, makes no difference for me, too.

> However, there
> is (minor) problem with make install when ntsec is enabled as pointed
> out by Norman above.  I will be submitting the attached patch to Python
> CVS to correct this.
> 
> > Just need to figure out, why the flags are not passed to build the
> > extensions.
> 
> Yes!  Why CCSHARED is not being used during the building of the extensions
> (i.e., by distutils) is the crux of your problem.
> 
> Note that your problem is really a Python distutils problem.  So, you
> may have better luck at [email-masked] then here.  Don't worry
> -- I'm subscribed to that one too! :,)

Hmmm, i should take a look. 
Maybe it makes sense to get a snapshot from CVS, are the sources there
more up to date?

Ciao,

Gerrit

-- 
=^..^= [email-masked]
PGP-Key: 0x28A05137 [875C 745E 01CF 8A34 2767  BE39 305E 5261 28A0 5137]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple